GET api/cleanroomapi/cleanroom/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
CleanRoomViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| cleanroom_type_id | globally unique identifier |
Required |
|
| communication_server_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| local_id | integer |
Range: inclusive between 0 and ∞ |
|
| local_name | string |
None. |
|
| name | string |
Required |
|
| type_of_temperature | string |
Required |
Response Formats
application/json, text/json
Sample:
{
"active": true,
"cleanroom_type_id": "b364c90f-790d-4ea4-b4a1-571286899b6f",
"communication_server_id": "adaab281-2e49-46ff-9c96-f799d03ffd54",
"id": "d5e25215-5604-4cad-9a59-a5a5858363da",
"local_id": 1,
"local_name": "sample string 3",
"name": "sample string 4",
"type_of_temperature": "sample string 5"
}
application/xml, text/xml
Sample:
<cleanroom xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <cleanroom_type_id>b364c90f-790d-4ea4-b4a1-571286899b6f</cleanroom_type_id> <communication_server_id>adaab281-2e49-46ff-9c96-f799d03ffd54</communication_server_id> <id>d5e25215-5604-4cad-9a59-a5a5858363da</id> <local_id>1</local_id> <local_name>sample string 3</local_name> <name>sample string 4</name> <type_of_temperature>sample string 5</type_of_temperature> </cleanroom>